Templatesigc::slot< T_return, T_arg1, T_arg2, T_arg3 > class Reference

Main Page Groups Namespaces

# sigc::slot<T_return, T_arg1, T_arg2, T_arg3> Class Template Reference

Convenience wrapper for the numbered sigc::slot3 template. More...

Inheritance diagram for sigc::slot< T_return, T_arg1, T_arg2, T_arg3 >:

[legend]
List of all members.

## Public Types
typedef slot3< T_return, T_arg1, T_arg2, T_arg3 > | parent_type
## Public Member Functions
| slot ()
template <class T_functor> | slot (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot (const slot& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3>
class sigc::slot< T_return, T_arg1, T_arg2, T_arg3 >

Convenience wrapper for the numbered sigc::slot3 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::slot template for 3 argument(s).

## Member Typedef Documentation

template <class T_return, class T_arg1, class T_arg2, class T_arg3>
typedef slot3<T_return, T_arg1,T_arg2,T_arg3> sigc::slot<T_return, T_arg1, T_arg2, T_arg3>::parent_type

| Reimplemented in SigC::Slot3<T_return, T_arg1, T_arg2, T_arg3>.

## Member Function Documentation

template <class T_return, class T_arg1, class T_arg2, class T_arg3>
sigc::slot<T_return, T_arg1, T_arg2, T_arg3>::slot | ( | const slot<T_return, T_arg1, T_arg2, T_arg3>& | src | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3>
template <class T_functor>
sigc::slot<T_return, T_arg1, T_arg2, T_arg3>::slot | ( | const T_functor& | _A_func | ) | `[inline]`

  | Constructs a slot from an arbitrary functor. Parameters:
  _A_func | The desirer functor the new slot should be assigned to.

template <class T_return, class T_arg1, class T_arg2, class T_arg3>
sigc::slot<T_return, T_arg1, T_arg2, T_arg3>::slot | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- functors/slot.h